#!/bin/sh

PKG_PATH=/usr/local/AppCentral/Syncthing
source $PKG_PATH/CONTROL/env.sh


case $1 in

	start)
		echo "Start Syncthing..."
		$PKG_PATH/bin/syncthing &
		if [ ! -e $PKG_PATH/.config/syncthing/setremotegui ]; then
		  sleep 1
		  touch $PKG_PATH/.config/syncthing/setremotegui
		  sed -i 's/127.0.0.1/0.0.0.0/g' $PKG_PATH/.config/syncthing/config.xml
		  sed -i 's/\/usr\/local\/AppCentral\/Syncthing\/Sync/\/volume1\/Syncthing/g' $PKG_PATH/.config/syncthing/config.xml
		  killall -HUP syncthing
		 fi
		;;

	stop)
		echo "Stopping Syncthing..."
		killall syncthing
		;;

	reload)
		echo "Reload Syncthing..."
		killall -HUP syncthing 
		;;
		
	*)
		echo "usage: $0 {start|stop|reload}"
		exit 1
		;;
		
esac
exit 0
